using C_.Datastructures.BinarySearchTree;
using System;

namespace C_.Datastructures.BinarySearchTree
{
    internal class Tree<T> where T:IComparable
    {
        public TreeNode<T>? Head { get; set; }
        public int Count { get; set; }

        public Tree<T> Create(){
            //Create a new Tree with no Head
            return new Tree<T>{
                Head = null,
                Count = 0
            };
        }
        public Tree<T> Create(T? value){
            //Create a new Tree with Head
            return new Tree<T>{
                Head = TreeNode<T>.Create(value)
            };
        }
    }
}